## mozjs115 115.1.0

=== debian/changelog ===
mozjs115 (115.1.0-0ubuntu1) mantic; urgency=medium

  * Upload to Ubuntu while waiting for Debian NEW processing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 14:47:47 -0400

mozjs115 (115.1.0-1) UNRELEASED; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/autogen.sh: Do not run autoreconf on old-configure
  * debian/control: Remove build dependency on autoconf2.13
  * debian/gbp-repack-mozjs-source.sh: Do not export AUTOCONF variable
  * debian/control: Update VCS references to 115 branch
  * debian/rules: Remove commented mozjs configure removal
  * debian/libmozjs-115.0.docs: Install README and remove removed files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Aug 2023 19:30:18 +0200

mozjs102 (102.14.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-4046: Incorrect value used during WASM compilation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Aug 2023 11:29:17 -0400

mozjs102 (102.13.0-1) unstable; urgency=high

  * New upstream release (LP: #2026197)
    - CVE-2023-37202: Potential use-after-free from compartment mismatch
      in SpiderMonkey
    - CVE-2023-37211: Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Jul 2023 09:05:35 -0400

mozjs102 (102.12.0-1) unstable; urgency=high

  * New upstream release (LP: #2023047) (Closes: #1037158)
    - CVE-2023-34416: Memory safety bugs
  * Update debian/upstream/signing-key.asc per upstream rotation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jun 2023 11:20:22 -0400

mozjs102 (102.11.0-1) unstable; urgency=high

  * New upstream release (LP: #2018905)
    - CVE-2023-32205: Browser prompts could have been obscured by popups
    - CVE-2023-32206: Crash in RLBox Expat driver
    - CVE-2023-32207: Potential permissions request bypass via clickjacking
    - CVE-2023-32211: Content process crash due to invalid wasm code
    - CVE-2023-32212: Potential spoof due to obscured address bar
    - CVE-2023-32213: Potential memory corruption in FileReader::DoReadData()
    - CVE-2023-32214: Potential DoS via exposed protocol handlers
    - CVE-2023-32215: Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 May 2023 11:59:12 -0400

mozjs102 (102.10.0-1) unstable; urgency=high

  * New upstream release (LP: #2015880)
    - CVE-2023-29536: Invalid free from JavaScript code
    - CVE-2023-29548: Incorrect optimization result on ARM64
    - CVE-2023-29550: Memory safety bugs
    - CVE-2023-29535: Potential Memory Corruption following Garbage Collector
      compaction

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Apr 2023 19:48:42 -0400

mozjs102 (102.9.0-1) unstable; urgency=high

  [ Jeremy Bicha ]
  * New upstream release
    - CVE-2023-25751: Incorrect code generation during JIT compilation

  [ John Paul Adrian Glaubitz ]
  * Disable large-arraybuffers/base.js on all big-endian targets
    (Closes: #1020700)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2023 11:03:53 -0400

mozjs102 (102.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Python 3.11 patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 08:57:21 -0500

mozjs102 (102.7.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build with Python 3.11 (Closes: #1028716)
  * Re-export upstream signing key without extra signatures
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2023 15:57:16 -0500

mozjs102 (102.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 17:16:33 -0500

mozjs102 (102.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Nov 2022 12:28:41 -0500

mozjs102 (102.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop ARMv7 atomic operations patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 14:03:07 -0400

mozjs102 (102.3.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/p/jit-Only-use-ARMv7-atomic-operations-on-ARMv7-or-higher.patch:
  * Add patch to avoid using ARMv7 atomic operations on armel
  * d/p/js-Enable-JIT-by-default-on-ARMv7-or-up-but-not-ARMv6-or-.patch:
    Attempt to solve FTBFS on armel by disabling JIT
  * Update Lintian overrides
  * d/copyright: Remove patterns that no longer match anything
  * Standards-Version: 4.6.1 (no changes required)

  [ Adrian Bunk ]
  * d/p/js-arm-i386-no-simd.patch:
    Avoid SIMD (SSE/NEON) on 32-bit ARM and x86. It is not in the baseline
    of our i386/armel/armhf ports.
  * d/rules: Build with -Wl,--allow-multiple-definition on armel
    (works around mozjs102's equivalent of mozjs91 bug #1017979)
  * Go back to using the default gcc on armel (Closes: #1018047)
  * Exclude basic/bug-1649234-1.js test on armel (Closes: #1017961)

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Sep 2022 20:53:33 +0100

mozjs102 (102.2.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Pre-create debian/build/dist/cppunittests/ as a directory
  * d/test.sh: Explicitly mark js executable as executable
  * Build using gcc-11 on armel
    (works around mozjs102's equivalent of mozjs91 bug #1017979)
  * Add patch to avoid "impossible constraints" on armhf (Closes: #1017962)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 11:39:02 -0400

mozjs102 (102.2.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop 2 cherry-picked patches applied in new release

  [ Mike Homney ]
  * Add patch to remove workaround for old libstdc++ problem,
    which now causes problems with GCC 12 on arm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 11:55:51 -0400

mozjs102 (102.1.0-2) unstable; urgency=medium

  * Rebuild after NEW acceptance


