## mozjs115 115.2.0

=== debian/changelog ===
mozjs115 (115.2.0-0ubuntu1) mantic; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 15:41:07 -0400
