=== third_party/rust/authenticator/webdriver-tools/requirements.txt ===
requests>=2.23.0
rich>=3.0
