=== testing/web-platform/tests/tools/wptrunner/requirements.txt ===
html5lib==1.1
mozdebug==0.3.0
mozinfo==1.2.2  # https://bugzilla.mozilla.org/show_bug.cgi?id=1621226
mozlog==7.1.1
mozprocess==1.3.0
packaging==23.1
pillow==9.5.0
requests==2.30.0
six==1.16.0
urllib3==1.26.15
aioquic==0.9.19
