## mozjs115 115.3.0

=== debian/changelog ===
mozjs115 (115.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release
    - CVE-2023-5171: Use-after-free in Ion Compiler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Sep 2023 12:44:50 -0400
