## mozjs115 115.8.0

=== debian/changelog ===
mozjs115 (115.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:36:52 -0500

mozjs115 (115.7.0-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/python3.12-six.patch:
    Rediff patch so quilt, dpkg-source and gbp pq agree on its effect

  [ Amin Bandali ]
  * Cherry-pick more upstream patches to fix build with Python 3.12
    - debian/patches/python3.12-bug1831512.patch
    - debian/patches/python3.12-bug1857516.patch
    - debian/patches/python3.12-bug1860051.patch
    - debian/patches/python3.12-bug1874280.patch
    - debian/patches/python3.12-bug1851580.patch
    - debian/patches/python3.12-bug1866829.patch

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 16 Feb 2024 11:28:22 -0500

mozjs115 (115.7.0-3) unstable; urgency=medium

  * Team upload
  * d/p/Export-js-detail-CanonicalizedNaNBits-on-architectures-th.patch:
    Add a patch to fix linking of gjs (>= 1.78.3) on mips64el
    (Closes: #1063446)
  * d/tests/dev: Add a superficial autopkgtest.
    In addition to exercising basic compilation and initialization,
    this verifies that #1063446 has been fixed.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Feb 2024 14:40:52 +0000

mozjs115 (115.7.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 08:51:19 -0500

mozjs115 (115.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 08:36:55 -0500

mozjs115 (115.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2023-6864: Memory safety bug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 15:48:13 -0500

mozjs115 (115.5.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and gnome-pkg-tools (no translations here)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Nov 2023 12:43:37 -0500

mozjs115 (115.4.0-2) unstable; urgency=high

  * Add patch to fix the non-JIT armel build
  * Adjust patch to update expected armel failures for 115

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Oct 2023 19:32:07 -0400

mozjs115 (115.4.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2023-5728: Improper object tracking during GC could lead to a crash

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Oct 2023 15:44:30 -0400

mozjs115 (115.3.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Sep 2023 12:34:26 -0400

mozjs115 (115.1.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/autogen.sh: Do not run autoreconf on old-configure
  * debian/control: Remove build dependency on autoconf2.13
  * debian/gbp-repack-mozjs-source.sh: Do not export AUTOCONF variable
  * debian/control: Update VCS references to 115 branch
  * debian/rules: Remove commented mozjs configure removal
  * debian/libmozjs-115.0.docs: Install README and remove removed files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Aug 2023 19:30:18 +0200

mozjs102 (102.15.1-1) unstable; urgency=medium

  * New upstream release
    - This is the final upstream release in the 102 series.
      It's recommended to switch to mozjs115 instead.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 16:30:07 -0400

mozjs102 (102.15.0-1) unstable; urgency=medium

  * New upstream release
    - This is the final upstream release in the 102 series.
      It's recommended to switch to mozjs115 instead.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 16:58:48 -0400
