=== debian/tests/control ===
Tests: dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libmozjs-115-dev,
 pkgconf,
