=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                cargo,
                clang,
                autoconf,
@@ -23,7 +24,10 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/115/master
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
 
-Package: libmozjs-115-0
+Package: libmozjs-115-0t64
+Provides: ${t64:Provides}
+Replaces: libmozjs-115-0
+Breaks: libmozjs-115-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
@@ -41,7 +45,7 @@
 Package: libmozjs-115-dev
 Architecture: any
 Section: libdevel
-Depends: libmozjs-115-0 (= ${binary:Version}),
+Depends: libmozjs-115-0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: SpiderMonkey JavaScript library - development headers
