## mozjs115 115.14.0

=== debian/changelog ===
mozjs115 (115.14.0-0deepin3) unstable; urgency=medium

  * add sw64 support.

 -- lichenggang <lichenggang@deepin.org>  Mon, 25 Aug 2025 15:27:19 +0800

mozjs115 (115.14.0-0deepin2) unstable; urgency=medium

  * revert 64-bit time_t transition patch.

 -- lichenggang <lichenggang@deepin.org>  Fri, 18 Oct 2024 16:45:23 +0800

mozjs115 (115.14.0-0deepin1) unstable; urgency=medium

  * New upstream release
    - CVE-2024-5688 Use-after-free in JavaScript object transplant
    - CVE-2024-5700 Memory safety bugs
    - CVE-2024-7527 Use-after-free in JavaScript garbage collection
    - CVE-2024-7521 Incomplete WebAssembly exception

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 24 Sep 2024 17:43:08 +0800
