=== debian/control ===
--- 
+++ 
@@ -24,10 +24,7 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/115/master
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
 
-Package: libmozjs-115-0t64
-Provides: ${t64:Provides}
-Replaces: libmozjs-115-0
-Breaks: libmozjs-115-0 (<< ${source:Version})
+Package: libmozjs-115-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
@@ -45,7 +42,7 @@
 Package: libmozjs-115-dev
 Architecture: any
 Section: libdevel
-Depends: libmozjs-115-0t64 (= ${binary:Version}),
+Depends: libmozjs-115-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: SpiderMonkey JavaScript library - development headers
