=== debian/rules ===
--- 
+++ 
@@ -104,7 +104,7 @@
 export CARGO_HOME
 
 %:
-	dh $@ --sourcedirectory=$(SRCDIR) --builddirectory=$(BUILDDIR) --with gnome,pkgkde-symbolshelper
+	dh $@ --sourcedirectory=$(SRCDIR) --builddirectory=$(BUILDDIR) --with pkgkde-symbolshelper
 
 override_dh_clean:
 	dh_clean
