## mozjs115 115.16.0

=== debian/changelog ===
mozjs115 (115.16.0-1) unstable; urgency=high

  * New upstream release (LP: #2083344)
    - CVE-2024-8381 Type confusion when looking up property names
    - CVE-2024-8382 Internal event interfaces exposed to web content
    - CVE-2024-8384 Garbage collection could mis-color cross-compartment objects
    - CVE-2024-9401 Memory safety bugs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 11:09:34 -0400

mozjs115 (115.14.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2024-7527 Use-after-free in JavaScript garbage collection
    - CVE-2024-7521 Incomplete WebAssembly exception
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 12:28:23 -0400
