=== debian/control ===
--- 
+++ 
@@ -12,19 +12,22 @@
                libreadline-dev,
                llvm,
                zlib1g-dev (>= 1:1.2.3),
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                python3-dev,
                rustc (>= 1.41),
                tzdata,
                zip
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/115/master
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/115/master
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
 
-Package: libmozjs-115-0
+Package: libmozjs-115-0t64
+Provides: ${t64:Provides}
+Replaces: libmozjs-115-0
+Breaks: libmozjs-115-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
@@ -42,7 +45,7 @@
 Package: libmozjs-115-dev
 Architecture: any
 Section: libdevel
-Depends: libmozjs-115-0 (= ${binary:Version}),
+Depends: libmozjs-115-0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: SpiderMonkey JavaScript library - development headers
