## mozjs115 115.17.0

=== debian/changelog ===
mozjs115 (115.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 29 Oct 2024 17:38:57 +0100
