## mozjs115 115.18.0

=== debian/changelog ===
mozjs115 (115.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 16:28:47 -0500
