## mozjs115 115.19.0

=== debian/changelog ===
mozjs115 (115.19.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * Add patches from mozilla-central partially fixing build with python3.13
  * d/control, d/rules, d/clean: Use python3-legacy-cgi (Closes: #1084631)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 13:29:00 -0900
