=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 # like zsh
 export SHELL = /bin/sh
 export PYTHON3 = python3
+export PYTHONPATH=$(CURDIR)/debian/site-packages
 # Please tell us what you're thinking...
 export MOZ_CONFIGURE_TRACE = yes
 
@@ -136,6 +137,8 @@
 endif
 
 override_dh_auto_configure:
+	mkdir -p $(CURDIR)/debian/site-packages
+	ln -fns /usr/lib/python3/dist-packages/cgi* $(CURDIR)/debian/site-packages/
 	mkdir -p $(BUILDDIR)/dist/cppunittests
 	cd $(BUILDDIR); \
 	if env \
