## mozjs115 115.20.0

=== debian/changelog ===
mozjs115 (115.20.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-1012 Use-after-free during concurrent delazification

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 18:50:57 -0500
