=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                pkgconf,
                pkg-kde-tools,
                python3-dev,
+               python3-legacy-cgi,
                rustc (>= 1.41),
                tzdata,
                zip
