=== debian/rules ===
--- 
+++ 
@@ -177,9 +177,6 @@
 execute_after_dh_fixperms:
 	chmod a-x $(CURDIR)/debian/$(LIBNAME)-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-$(MOZJS_VERSION).pc
 
-override_dh_gnome:
-	dh_gnome --no-gnome-versions
-
 override_dh_auto_test:
 	@:
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
